com.sun.grid.jgdi.configuration.reflect

## Class MapPropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor
  - - com.sun.grid.jgdi.configuration.reflect.MapPropertyDescriptor

- Direct Known Subclasses:
    DefaultMapPropertyDescriptor

      public abstract class MapPropertyDescriptor
      extends PropertyDescriptor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapPropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, java.lang.Class keyType, int cullFieldName, int keyCullFieldName, int valueCullFieldName, java.lang.Object defaultKey, boolean readOnly, boolean configurable)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `get(java.lang.Object bean, java.lang.Object key)`
    `abstract int` | `getCount(java.lang.Object bean)`
    `java.lang.Object` | `getDefaultKey()`
    `int` | `getKeyCullFieldName()`
    `abstract java.util.Set` | `getKeys(java.lang.Object bean)`
    `java.lang.Class` | `getKeyType()`
    `int` | `getValueCullFieldName()`
    `abstract void` | `put(java.lang.Object bean, java.lang.Object key, java.lang.Object value)`
    `abstract java.lang.Object` | `remove(java.lang.Object bean, java.lang.Object key)`
    `abstract void` | `removeAll(java.lang.Object bean)`
    `java.lang.String` | `toString(java.lang.Object obj, java.lang.Object key)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

      `clone, equals, findMethod, findMethod, getBeanClass, getCullContentField, getCullFieldName, getCullType, getJNIPropertyType, getPropertyName, getPropertyType, hasCullWrapper, hashCode, invoke, isBrowsable, isConfigurable, isReadOnly, isSet, setBrowsable, setConfigurable, setCullContentField, setHasCullWrapper, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapPropertyDescriptor

          protected MapPropertyDescriptor(java.lang.Class beanClass,
                                          java.lang.String propertyName,
                                          java.lang.Class propertyType,
                                          java.lang.String cullType,
                                          java.lang.Class keyType,
                                          int cullFieldName,
                                          int keyCullFieldName,
                                          int valueCullFieldName,
                                          java.lang.Object defaultKey,
                                          boolean readOnly,
                                          boolean configurable)

  - ### Method Detail

    - #### get

          public abstract java.lang.Object get(java.lang.Object bean,
                                               java.lang.Object key)

    - #### put

          public abstract void put(java.lang.Object bean,
                                   java.lang.Object key,
                                   java.lang.Object value)

    - #### remove

          public abstract java.lang.Object remove(java.lang.Object bean,
                                                  java.lang.Object key)

    - #### removeAll

          public abstract void removeAll(java.lang.Object bean)

    - #### getKeys

          public abstract java.util.Set getKeys(java.lang.Object bean)

    - #### getCount

          public abstract int getCount(java.lang.Object bean)

    - #### getDefaultKey

          public java.lang.Object getDefaultKey()

    - #### getKeyCullFieldName

          public int getKeyCullFieldName()

    - #### getValueCullFieldName

          public int getValueCullFieldName()

    - #### getKeyType

          public java.lang.Class getKeyType()

    - #### toString

          public java.lang.String toString(java.lang.Object obj,
                                           java.lang.Object key)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.